Functions
IRQ Handler and Callbacks
Peripheral Driver » HAL Driver » WDT » Functions

IRQ Handler and Callbacks functions. More...

Collaboration diagram for IRQ Handler and Callbacks:

## Functions
void | hal_wdt_irq_handler (wdt_handle_t *p_wdt)
| Handle WDT interrupt request. More...
void | hal_wdt_period_elapsed_callback (wdt_handle_t *p_wdt)
| WDT count complete(counter reaches to 0) callback. More...

## Detailed Description

IRQ Handler and Callbacks functions.

      ==============================================================================
                     ##### IRQ Handler and Callbacks functions #####
      ==============================================================================
      [..]
        This section provides functions allowing to:
        (+) Handle WDT interrupt request and associated function callback.

## Function Documentation

## ◆ hal_wdt_irq_handler()

void hal_wdt_irq_handler | ( | wdt_handle_t * | p_wdt | ) |

Handle WDT interrupt request.

Note
  The Count Complete can be used if specific safety operations or data logging must be performed before the actual reset is generated. When RESET Mode is enabled, WDT will generate an interrupt on first timeout. If interrupt has not been cleared before the second timeout, WDT will then request a SoC Reset.

Parameters

  [in] | p_wdt | Pointer to a WDT handle which contains the configuration information for the specified WDT module.

## ◆ hal_wdt_period_elapsed_callback()

void hal_wdt_period_elapsed_callback | ( | wdt_handle_t * | p_wdt | ) |

WDT count complete(counter reaches to 0) callback.

Note
  In RESET mode, NVIC interrupt of WDT can be disabled in hal_wdt_period_elapsed_callback() to make sure this callback be called once only. This function should not be modified. When the callback is needed, the hal_wdt_count_cplt_callback can be implemented in the user file.

Parameters

  [in] | p_wdt | Pointer to a WDT handle which contains the configuration information for the specified WDT module.